Bug 443827 - iconv incorrectly transliterates the polish characters "ł" and "Ł"
iconv incorrectly transliterates the polish characters "ł" and "Ł"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: glibc (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 11:51 EDT by Aleksander Adamowski
Modified: 2009-01-20 15:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:50:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksander Adamowski 2008-04-23 11:51:21 EDT
Description of problem:

On RHEL 5 with glibc-common-2.5-18.el5_1.1, iconv doesn't properly transliterate
a polich character "Ł", substituting it with a question mark:

$ locale | fgrep CTYPE
LC_CTYPE="en_US.UTF-8"
$ echo 'Zażółć gęślą jaźń ZAŻÓŁĆ GĘŚLĄ JAŹŃ' | iconv -f 'UTF-8' -t
'US-ASCII//TRANSLIT' 
Zazo?c gesla jazn ZAZO?C GESLA JAZN

On Fedora 8 with glibc-common-2.7-2, iconv does this correctly:

$ locale | fgrep CTYPE
LC_CTYPE="en_US.UTF-8"
$ echo 'Zażółć gęślą jaźń ZAŻÓŁĆ GĘŚLĄ JAŹŃ' | iconv -f 'UTF-8' -t
'US-ASCII//TRANSLIT'
Zazolc gesla jazn ZAZOLC GESLA JAZN


Version-Release number of selected component (if applicable):
glibc-common-2.5-18.el5_1.1 (works incorrectly)
glibc-common-2.7-2 (works correctly)

Iconv should correctly transliterate all diacritical characters from a given
language, not only some.
Comment 2 RHEL Product and Program Management 2008-09-19 04:30:55 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 errata-xmlrpc 2009-01-20 15:50:50 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0080.html

Note You need to log in before you can comment on or make changes to this bug.